[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TStartType

When should the daemon be started (windows only)

## Declaration

Source position: daemonapp.pp line 144

`type TStartType = (`
`stBoot,` |  | During system boot
`stSystem,` |  | During load of device drivers
`stAuto,` |  | Started automatically by service manager during system startup
`stManual,` |  | Started manually by the user or other processes.
`stDisabled` |  | Service is not started, it is disabled
`);`

## Description

TStartType can be used to define when the service must be started on windows. This type is not used on other platforms.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.